//****************************************************************************
//  Speakjet_Serial.h
//  Subroutine to generate Serial Data for Speakjet Speech Chip
//  Uses Soft_Uart command.  Use with any PIC Micro.
//  Sends codes from "phrases.h"  and "phonemes.h"
//  Make sure to Initialize Soft_Uart_Init in Main Program!
//***************************************************************************
#define LED      PORTC.F0
#define speaking PORTC.F2
#define RST      PORTC.F3
//****************************************************************************
void Speakjet_Transmit(const char s[])
{
        unsigned char i;

        for (i = 0; s[i] != 0; i++)
          {
    Soft_Uart_Write(s[i]);     // Sends Character Data
    while (speaking == 1)      // If Speakjet already speaking, wait
        {
        }
    Delay10ms();
          }
          return;
} // End Speakjet_Transmit
//****************************************************************************
void Speakjet_Reset()
{
    RST = 1;
    Delay100ms();
    RST = 0;
    Delay100ms();
    RST = 1;
    Delay100ms();
    return;
}
//****************************************************************************