//***************************************************************************
// Provided by VeeaR Website  www.veear.eu
// Examples for Mikroe EASYPIC5 Demo
//***************************************************************************
#ifndef VRBOT_H
#define VRBOT_H
char VRbot_Detect(void);
char VRbot_SetLanguage(char lang);
void VRbot_RecognizeSI(char ws);
void VRbot_RecognizeSD(char group);
signed char VRbot_CheckResult(void);
char VRbot_GetGroupCount(char group);
#endif //VRBOT_H
//****************************************************************************
char VRbot_Detect()
{
   char i;
   for (i = 0; i < 9; ++i)
       {
       Uart1_Write(CMD_BREAK);
       Delay100ms();
       if (Uart1_Data_Ready() && Uart1_Read() == STS_SUCCESS)
          return 255;
       }
       return 0;
}
//****************************************************************************
char VRbot_SetLanguage(char lang)
{
        Uart1_Write(CMD_LANGUAGE);
        Delay5ms();
        Uart1_Write(ARG_ZERO + lang);
        Delay100ms();

        if (Uart1_Data_Ready() && Uart1_Read() == STS_SUCCESS)
                return 255;
        return 0;
}
//****************************************************************************
void VRbot_RecognizeSD(char group)
{
        Uart1_Write(CMD_RECOG_SD);
        Delay5ms();
        Uart1_Write(ARG_ZERO + group);
}
//****************************************************************************
void VRbot_RecognizeSI(char ws)
{
        Uart1_Write(CMD_RECOG_SI);
        Delay5ms();
        Uart1_Write(ARG_ZERO + ws);
}
//****************************************************************************
signed char VRbot_CheckResult(void)
{
        char rxc;
        if (!Uart1_Data_Ready())
                return -1;
        rxc = Uart1_Read();
        if (rxc == STS_SIMILAR || rxc == STS_RESULT)
           {
           Delay5ms();
           Uart1_Write(ARG_ACK);
           while (!Uart1_Data_Ready());
           return Uart1_Read() - ARG_ZERO;
           }
        return -2;
}
//****************************************************************************
char VRbot_GetGroupCount(char group)
{
        char rxcc;
        Uart1_Write(CMD_COUNT_SD);
        Delay5ms();
        Uart1_Write(ARG_ZERO + group);
        Delay100ms();
        if (!Uart1_Data_Ready())
                return 0;
        rxcc = Uart1_Read();
        if (rxcc == STS_COUNT)
           {
           Delay5ms();
           Uart1_Write(ARG_ACK);
           while (!Uart1_Data_Ready());
           return Uart1_Read() - ARG_ZERO;
           }
        return 0;
}
//****************************************************************************